/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;


/**
 * dw用例表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-26 15:45:30  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@ApiModel(description = "dw用例表")
public class DwCaseDesignInfo {

    @ApiModelProperty("用例主键")
    private String id;

    @ApiModelProperty("所属系统id")
    private String projectId;

    @ApiModelProperty("创建时间")
    private Date createdTime;

    @ApiModelProperty("创建人")
    private String createdBy;

    @ApiModelProperty("租户id")
    private String tenantId;

    @ApiModelProperty("用例类型")
    private String caseType;

    @ApiModelProperty("状态：0是暂存，1是保存")
    private String caseStatus;

    @ApiModelProperty("所属系统")
    private String system;

    public String getSystem() {
        return system;
    }

    public void setSystem(String system) {
        this.system = system;
    }

    /**
     * 用例主键<br>
     */
    public String getId() {
        return id;
    }

    /**
     * 用例主键<br>
     *
     * @param id 用例主键
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 所属系统id<br>
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * 所属系统id<br>
     *
     * @param projectId 所属系统id
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    /**
     * 创建时间<br>
     */
    public Date getCreatedTime() {
        if (createdTime != null) {
            return (Date) createdTime.clone();
        }
        return null;
    }

    /**
     * 创建时间<br>
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime) {
        if (createdTime != null) {
            this.createdTime = (Date) createdTime.clone();
        }
    }

    /**
     * 创建人<br>
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * 创建人<br>
     *
     * @param createdBy 创建人
     */
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    /**
     * 租户id<br>
     */
    public String getTenantId() {
        return tenantId;
    }

    /**
     * 租户id<br>
     *
     * @param tenantId 租户id
     */
    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    /**
     * 用例类型<br>
     */
    public String getCaseType() {
        return caseType;
    }

    /**
     * 用例类型<br>
     *
     * @param caseType 用例类型
     */
    public void setCaseType(String caseType) {
        this.caseType = caseType;
    }

    public String getCaseStatus() {
        return caseStatus;
    }

    public void setCaseStatus(String caseStatus) {
        this.caseStatus = caseStatus;
    }

    public DwCaseDesignInfo() {

    }

}
